#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 solution for application scripting
Name:           kross
Version: 5.32.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/


BuildRequires:  kf5-macros

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Script)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5UiTools)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Test)

BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl

BuildRequires:  attica-devel >= %version
BuildRequires:  kwidgetsaddons-devel >= %version
BuildRequires:  kitemviews-devel >= %version
BuildRequires:  ki18n-devel >= %version
BuildRequires:  kguiaddons-devel >= %version
BuildRequires:  kconfigwidgets-devel >= %version
BuildRequires:  kiconthemes-devel >= %version
BuildRequires:  kcompletion-devel >= %version
BuildRequires:  kdbusaddons-devel >= %version
BuildRequires:  kservice-devel >= %version
BuildRequires:  kwindowsystem-devel >= %version
BuildRequires:  ktextwidgets-devel >= %version
BuildRequires:  kxmlgui-devel >= %version
BuildRequires:  kbookmarks-devel >= %version
BuildRequires:  kdoctools-devel >= %version
BuildRequires:  kio-devel >= %version
BuildRequires:  kparts-devel >= %version
BuildRequires:  kjs-devel >= %version
BuildRequires:  kauth-devel >= %version
BuildRequires:  kcoreaddons-devel >= %version
BuildRequires:  kcodecs-devel >= %version
BuildRequires:  kconfig-devel >= %version
BuildRequires:  sonnet-devel >= %version
BuildRequires:  kglobalaccel-devel >= %version
BuildRequires:  karchive-devel >= %version
BuildRequires:  kjobwidgets-devel >= %version
BuildRequires:  solid-devel >= %version
BuildRequires:  knotifications-devel >= %version

%description
KDE Frameworks 5 Tier 3 solution for application scripting

%files -f %{name}5.lang
%_kf5_bindir/kf5kross
%_qt5_plugindir/krossmoduleforms.so
%_qt5_plugindir/krossmodulekdetranslation.so
%_qt5_plugindir/krossqts.so
%_qt5_plugindir/script/krossqtsplugin.so
%_kf5_mandir/man1/kf5kross.1.*
%_kf5_mandir/*/man1/kf5kross.1.*

#--------------------------------------------------------------------

%define kf5krosscore_major 5
%define libkf5krosscore %mklibname kf5krosscore %{kf5krosscore_major}

%package -n %libkf5krosscore
Summary:  KDE Frameworks 5 Tier 3 solution for application scripting
Group:        System/Libraries

%description -n %libkf5krosscore
KDE Frameworks 5 Tier 3 solution for application scripting

%files -n %libkf5krosscore
%_kf5_libdir/libKF5KrossCore.so.%{kf5krosscore_major}*

#--------------------------------------------------------------------

%define kf5krossui_major 5
%define libkf5krossui %mklibname kf5krossui %{kf5krossui_major}

%package -n %libkf5krossui
Summary: KDE Frameworks 5 Tier 3 solution for application scripting
Group:        System/Libraries

%description -n %libkf5krossui
KDE Frameworks 5 Tier 3 solution for application scripting

%files -n %libkf5krossui
%_kf5_libdir/libKF5KrossUi.so.%{kf5krossui_major}*

#--------------------------------------------------------------------

%define kf5kross_devel %mklibname kf5kross -d

%package -n %kf5kross_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5krosscore = %version-%release
Requires:       %libkf5krossui = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5kross_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5kross_devel
%_kf5_includedir/KrossCore
%_kf5_includedir/KrossUi
%_kf5_includedir/kross_version.h
%_kf5_libdir/cmake/KF5Kross
%_kf5_libdir/*.so
%_libdir/qt5/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%make

%install
%makeinstall_std -C build
%find_lang %{name}5


%changelog
* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088989
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074561
- New version 5.29.0

* Tue Dec 06 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072772
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058380
- New version 5.27.0

* Sun Sep 11 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1051405
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045135
- New version 5.25.0

* Wed Jul 13 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041708
- New version 5.24.0

* Sun Jun 19 2016 tmb <tmb> 5.23.0-1.mga6
+ Revision: 1036281
- add missing tarball

  + neoclust <neoclust>
    - New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014365
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999608
- New version 5.21.0

* Mon Mar 07 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986966
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942274
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921329
- New version 5.18.0

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909919
- New version 5.17.0
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900605
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899585
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898966
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888206
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881430
- New version 5.14.0

* Tue Aug 25 2015 pterjan <pterjan> 5.13.0-2.mga6
+ Revision: 869224
- Rebuild with gcc 5

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862991
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862674
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 28 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 858530
- New version 5.12.0
- New version 5.12.0

* Sun Jul 05 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 850700
- New version 5.11.0

* Fri Dec 19 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 804109
- New version
- New version 5.1.0
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 600029
- New version 4.97.0

* Thu Feb 27 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 597528
- imported package kross

